Bug 78471 - [Qt] REGRESSION(r107518): It broke many tests
Summary: [Qt] REGRESSION(r107518): It broke many tests
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords: Qt, QtTriaged
Depends on:
Blocks: 78085 79666
  Show dependency treegraph
 
Reported: 2012-02-13 01:00 PST by Csaba Osztrogonác
Modified: 2013-01-22 04:39 PST (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Csaba Osztrogonác 2012-02-13 01:00:35 PST
http://build.webkit.sed.hu/results/x86-64%20Linux%20Qt%20Release/r107518%20%2833644%29/results.html

New failing tests:
- fast/history/timed-refresh-in-cached-frame.html
- fast/images/animated-gif-restored-from-bfcache.html

new flakey (timeout - pass) tests:
- fast/events/suspend-timers.html
- fast/overflow/horizontal-scroll-after-back.html

new timout tests:
- fast/media/media-query-list-04.html
- fast/events/pagehide-timeout.html
- fast/events/pageshow-pagehide-on-back-cached.html
Comment 1 Csaba Osztrogonác 2012-02-13 01:38:42 PST
I skipped them to make the bots green (until proper fix):
http://trac.webkit.org/changeset/107547
Comment 2 Allan Sandfeld Jensen 2012-05-14 06:34:11 PDT
All tests seems to pass as expected in WK1 now, but fast/media/media-query-list-04.html and fast/images/animated-gif-restored-from-bfcache.html still fails in WK2.
Comment 3 Allan Sandfeld Jensen 2012-05-14 06:39:54 PDT
(In reply to comment #2)
> All tests seems to pass as expected in WK1 now, but fast/media/media-query-list-04.html and fast/images/animated-gif-restored-from-bfcache.html still fails in WK2.

Seems these tests uses calls only available in DRT and not in WTR, so they should always be skipped for WK2.
Comment 4 Csaba Osztrogonác 2012-10-09 01:38:49 PDT
These tests aren't in skipped list.
Comment 5 Allan Sandfeld Jensen 2013-01-22 04:38:48 PST
Committed r107547: <http://trac.webkit.org/changeset/107547>
Comment 6 Allan Sandfeld Jensen 2013-01-22 04:39:32 PST
(In reply to comment #5)
> Committed r107547: <http://trac.webkit.org/changeset/107547>

Sorry, script posted to wrong bug.